;;; A Common Lisp implementation of the compo protocol Version 2
;;;
;;; Package :compo-cm
;;;
;;; Copyright (C) 2001  Bruno LARTILLOT
;;; 
;;; This program is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU General Public License
;;; as published by the Free Software Foundation; either version 2
;;; of the License, or any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program; if not, write to the Free Software
;;; Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

(in-package :compo-cm)

(defun midi (note &key (midi-file *default-midi-file*) (ptf #'ptf-eq-440) (tempo 60))

"Function
   midi (note &key midi-file ptf tempo)
Arguments
   A note structure.
   An output file being a string or a pathname designing a file to be produced,
   defaulting to the current value of the special variable *default-midi-file*.
   A function converting pitches to frequencies, defaulting to the function
   #'ptf-eq-440 (conversion in equal temperament and with a fork tune at 440 Hz).
   A tempo defaulting to 60 (quarter per second).
Values
   No value is returned.
   As a side effect, The Common Music form obtained by applying 'cmize' to the given
   note, once normalized (realized with the context 'rel-context) is evalued, in order
   to have the corresponding midi execution played."

  (eval (cmize (realize note) :midi-file midi-file :ptf ptf :tempo tempo)) )