;;; A Common Lisp implementation of the compo protocol Version 2
;;;
;;; Package :compo
;;;
;;; Copyright (C) 2001  Bruno LARTILLOT
;;; 
;;; This program is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU General Public License
;;; as published by the Free Software Foundation; either version 2
;;; of the License, or any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program; if not, write to the Free Software
;;; Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

(in-package :compo)

(defclass transformation (context-item)()
  (:documentation 

"Class
   transformation
Direct Superclasses
   context-item
Purpose
   Base context item responsible, for a given composition being realized, of 
   the transformation of its numeric properties, by those of its supercomposition." ) )

(defmethod realize-using-context-item ((context-item transformation) 
                                       (compo compo)
                                       &key super-compo &allow-other-keys)

"Primary method
   realize-using-context-item specialized on the transformation type
Behaviour
   The next method is first called.
   Applies the generic function 'transform' to the current composition and its
   supercomposition, provided that the last is not null (see the generic function
   'transform')."

  (call-next-method)
  (and super-compo
       (transform compo super-compo) )
  compo )