;;; A Common Lisp implementation of the compo protocol Version 2
;;;
;;; Package :compo
;;;
;;; Copyright (C) 2001  Bruno LARTILLOT
;;; 
;;; This program is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU General Public License
;;; as published by the Free Software Foundation; either version 2
;;; of the License, or any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program; if not, write to the Free Software
;;; Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

(in-package :compo)

(defclass standard-context (sorting
                            integration
                            unicity
                            coercion
                            atomization
                            recursion
                            evaluation
                            transformation
                            granulation
                            selection )()
  (:documentation

"Class : 
   standard-context

Direct Superclasses :
   sorting
   integration
   unicity
   coercion
   atomization
   recursion
   evaluation
   transformation
   granulation
   selection

Behaviour
   Note that since each primary method for 'realize-using-context-item' calls the next
   method before doing anything else, the context items above are involved from the last
   to the first in the realization process." ) )

(setf (context (make-instance 'abstract-compo)) (make-instance 'standard-context))