;;; A Common Lisp implementation of the compo protocol Version 2
;;;
;;; Package :compo
;;;
;;; Copyright (C) 2001  Bruno LARTILLOT
;;; 
;;; This program is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU General Public License
;;; as published by the Free Software Foundation; either version 2
;;; of the License, or any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program; if not, write to the Free Software
;;; Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

(in-package :compo)

(defgeneric transform (compo transformer)
  (:documentation

"Generic Function
   transform (compo transformer)
Arguments
   The composition to which the transformation is to be applied.
   Another composition acting as a transformer.
Values
   compo affected by the transformation.
Purpose
   This generic function is intended to be called only by the realization mechanism
   specialized on the context item 'transformation'. By providing new primary method, it
   is possible to specify the notion of the transformation in the system." ) )

(defmethod transform ((compo compo) transformer)

"Primary method
   transform specialized on 'compo'
Behaviour
   As a default, the composition is left unchanged."

  (declare (ignore transformer)) )