;;; A Common Lisp implementation of the compo protocol Version 2
;;;
;;; Package :note
;;;
;;; Copyright (C) 2001  Bruno LARTILLOT
;;; 
;;; This program is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU General Public License
;;; as published by the Free Software Foundation; either version 2
;;; of the License, or any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program; if not, write to the Free Software
;;; Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

(in-package :note)

(defmethod compo-lessp ((x abstract-note) (y abstract-note))

"Primary method
   compo-lessp specialized on 'abstract-note'
Purpose
   A note x is less than a note y if the voice of x is < than the voice of y, if their 
   voices are = and the position of x is < than the position of y, or if their voices and 
   positions are = and the height of x null or < than the height of y."

  (let ((evx (ntoev (voi x)))
        (evy (ntoev (voi y))) )
    (if
      (or (< evx evy)
          (and (= evx evy)
               (< (voi x) (voi y)) )
          (and (= (voi x) (voi y))
               (< (pos x) (pos y)) )
          (and (= (voi x) (voi y))
               (= (pos x) (pos y))
               (or (null (hei x)) (and (hei y) (< (hei x) (hei y)))) ) )
      x
      nil ) ) )