;;; A Common Lisp implementation of the compo protocol Version 2
;;;
;;; Package :note
;;;
;;; Copyright (C) 2001  Bruno LARTILLOT
;;; 
;;; This program is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU General Public License
;;; as published by the Free Software Foundation; either version 2
;;; of the License, or any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program; if not, write to the Free Software
;;; Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

(in-package :note)

(defmethod is-equal ((x abstract-note) (y abstract-note))

"Primary method
   is-equal specialized on 'abstract-note'.
Behaviour
   Returns x if the next method returns true and if is-equal applied to the slots 'hei',
   'pos', 'dur', 'voi' and 'dyn' in x and y is true."

  (and
   (call-next-method)
   (is-equal (hei x)(hei y))
   (is-equal (voi x)(voi y))
   (is-equal (pos x)(pos y))
   (is-equal (dur x)(dur y))
   (is-equal (dyn x)(dyn y))
   x ) )