;;; A Common Lisp implementation of the compo protocol Version 2
;;;
;;; Package :note
;;;
;;; Copyright (C) 2001  Bruno LARTILLOT
;;; 
;;; This program is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU General Public License
;;; as published by the Free Software Foundation; either version 2
;;; of the License, or any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program; if not, write to the Free Software
;;; Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

(in-package :note)

(defun compo-help ()
  (let ((cr (make-string 1 :initial-element #\newline)))
    (specialized-help t)
    (loop
      (write-string cr)
      (write-string *help-prompt*)
      (let ((val (read)))
        (cond
         ((eq val :abort) (return))
         ((eq val t) (specialized-help t))
         ((eq val :hei) (specialized-help :hei))
         ((eq val :dur) (specialized-help :dur))
         ((eq val :pos-mod) (specialized-help :pos-mod))
         ((eq val :pos) (specialized-help :pos))
         ((eq val :voi) (specialized-help :voi))
         ((eq val :dyn) (specialized-help :dyn))
         ((eq val :parameter-key) (specialized-help :parameter-key))
         ((eq val :subs) (specialized-help :subs))
         ((eq val :coerce-hei) (specialized-help :coerce-hei))
         ((eq val :coerce-dur) (specialized-help :coerce-dur))
         ((eq val :coerce-pos) (specialized-help :coerce-pos))
         ((eq val :coerce-voi) (specialized-help :coerce-voi))
         ((eq val :coerce-dyn) (specialized-help :coerce-dyn)) ) ) ) )
  (values) )