;;; Copyright (C) 2001  Bruno LARTILLOT
;;; 
;;; This program is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU General Public License
;;; as published by the Free Software Foundation; either version 2
;;; of the License, or any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program; if not, write to the Free Software
;;; Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

(in-package :compo-cm)

(declare-note *a1*
      (note
       (:soprano :super
        (:voi 32 :c5 :w :super
         (:bf)(:g)(:bf)(:g)(:a)(:f)(:af)(:ef))
        (:voi 16 :h :super
         (:gf :pos 1)(:e)(:c)(:fs)(:gs)(:bf)(:b)(:d5)(:ef5)(:bf)(:af)(:c5)(:ef)(:a :h)))
       (:bass :c3 :super :dyn 2
        (:c :pos 1)(:d)(:ef)(:c)(:g)(:fs)(:ef)(:d)(:bf3)(:d)(:ef)(:e)(:f)(:e)(:ef)
        (:d)(:c)(:b3)(:c)(:ef)(:df)(:d)(:ef)(:e)(:f)(:fs)(:g)(:fs :w))
       (:percussion :ride :super
        (:h :pos 1) 13*(:h) ()()(:8th.)(:16th))))

(declare-note *a2*
      (note
       (:soprano :super
        (:voi 32 :c5 :w :super
         (:bf)(:df5)(:bf)(:g)(:f)(:af)(:df5))
        (:voi 16 :h :super
         (:gf :pos 1)(:e)(:c)(:fs)(:gs)(:bf)(:b)(:bf)(:af)(:c5)(:ef)(:f :h)))
       (:bass :c3 :super :dyn 2
        (:c :pos 1)(:d)(:fs :8th.)(:ef :16th)(:c)(:g)(:fs)(:e :8th.)(:ef :16th)
        (:d)(:bf3)(:d)(:ef)(:e)(:f)(:e)(:ef :h)
        (:df)(:d)(:ef)(:e)(:f)(:ef)(:d)(:df :w))
       (:percussion :ride :super
        (:h :pos 1) 11*(:h) ()()(:8th.)(:16th))))

(declare-note *b*
      (note
       (:soprano :super
        (:voi 32 :c5 :w :super
         (:d5)(:ef5)(:f5)(:d5)(:b)(:c5)(:d5)(:b))
        (:voi 16 :h :super
         (:c :pos 1)(:f)(:ef)(:d)(:c)(:b3 :dur 3)(:a3)(:d)(:c)(:bf3)(:af3)(:g3 :h)))
       (:bass :c3 :super :dyn 2
        (:bf3 :pos 1)(:f3)(:bf3)(:af3)(:bf3)(:c4)(:df4 :8th.)(:bf3 :16th)
        (:a3)(:f3)(:a3)(:d3)(:gs3 :h.)(:b3 :h)
        (:g3)(:d3)(:g3)(:f3)(:g3)(:a3)(:g3)
        (:fs3)(:d3)(:fs3)(:b3)(:e3 :w))
       (:percussion :cl-hh :super
        (:h :pos 1) 12*(:h) ())))

(declare-note *a3*
      (note
       (:soprano :super
        (:voi 32 :c5 :w :super
         (:bf)(:g)(:a)(:f)(:af)(:ef)(:d))
        (:voi 16 :h :super
         (:gf :pos 1)(:e)(:c)(:d)(:f)(:d)(:b3)(:cs)(:ef)(:c)(:a3)(:a :h)))
       (:bass :super :c3 :dyn 2
        (:c :pos 1)(:d)(:ef)(:c)(:g)(:fs)(:ef)
        (:d)(:b3)(:c)(:d)(:b3)(:f)(:ef)(:df)
        (:c)(:af3)(:c)(:g)(:f)(:e)(:f)(:g)(:d :w))
       (:percussion :ride :super
        (:h :pos 1) 10*(:h) ()(:w))))

(setf *sample2* (note *a1* *a2* *b* *a3*))

(program-change :bass :pick-electric-bass)
(program-change :soprano :vibraphone)
(midi (note *sample2*) :tempo 120)

(cleave-change :soprano 'cmn::treble)
(cleave-change :bass 'cmn::double-bass)
(score (note *sample2*)
       :size 20
       :free-expansion-factor 2
       :staff-separation 2
       :tied-voices '(:soprano))