;;; A Common Lisp implementation of the compo protocol Version 2
;;;
;;; Copyright (C) 2001  Bruno LARTILLOT
;;; 
;;; This program is free software; you can redistribute it and/or
;;; modify it under the terms of the GNU General Public License
;;; as published by the Free Software Foundation; either version 2
;;; of the License, or any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program; if not, write to the Free Software
;;; Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

(unless (find-package :compo) (make-package :compo))
(in-package :compo)

(load (make-pathname :host (pathname-host (truename *load-pathname*))
                     :device (pathname-device (truename *load-pathname*))
                     :directory (pathname-directory (truename *load-pathname*))
                     :name "parameters"
                     :type "lisp" ))

(load (make-pathname :host *host*
                     :device *device*
                     :directory `(,@*compo-root*)
                     :name "localization"
                     :type *source-type* ))

(load (make-pathname :host *host*
                     :device *device*
                     :directory `(,@*compo-root* "note")
                     :name "package"
                     :type *source-type* ))

(when (find :cm-2 *features*)
  (load (make-pathname :host *host*
                       :device *device*
                       :directory `(,@*compo-root* "compo-cm" "cm-2")
                       :name "package"
                       :type *source-type* )) )

(when (find :cmn *features*)
  (load (make-pathname :host *host*
                       :device *device*
                       :directory `(,@*compo-root* "compo-cm" "cmn")
                       :name "package"
                       :type *source-type* )) )